org.eclipse.jetty.http

## Interface Parser

All Known Implementing Classes:
  Ajp13Parser, HttpParser, NestedParser

    public interface Parser

Abstract interface for a connection Parser for use by Jetty.

### Method Summary

Methods
`boolean` `isComplete()`
`boolean` `isIdle()`
`boolean` `isMoreInBuffer()`
`boolean` `isPersistent()`
`boolean` `parseAvailable()`
`void` `reset()`
`void` `returnBuffers()`
`void` `setPersistent(boolean persistent)`

### Method Detail

#### returnBuffers

    void returnBuffers()

#### reset

    void reset()

#### isComplete

    boolean isComplete()

#### parseAvailable

    boolean parseAvailable()
                           throws IOException

Returns:
  True if progress made
Throws:
  `IOException`

#### isMoreInBuffer

    boolean isMoreInBuffer()
                           throws IOException

Throws:
  `IOException`

#### isIdle

    boolean isIdle()

#### isPersistent

    boolean isPersistent()

#### setPersistent

    void setPersistent(boolean persistent)